<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:16 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.plugins.ide.eclipse (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.gradle.plugins.ide.eclipse (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/plugins/ide/api/package-summary.html">Prev Package</a></li>
<li><a href="../../../../../org/gradle/plugins/ide/eclipse/model/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/plugins/ide/eclipse/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package&nbsp;org.gradle.plugins.ide.eclipse</h1>
<div class="docSummary">
<div class="block">A <a href="../../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api"><code>Plugin</code></a> for generating Eclipse files.</div>
</div>
<p>See:&nbsp;<a href="#package_description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="packageSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/plugins/ide/eclipse/EclipsePlugin.html" title="class in org.gradle.plugins.ide.eclipse">EclipsePlugin</a></td>
<td class="colLast">
<div class="block">A plugin which generates Eclipse files.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/plugins/ide/eclipse/EclipseWtpPlugin.html" title="class in org.gradle.plugins.ide.eclipse">EclipseWtpPlugin</a></td>
<td class="colLast">
<div class="block">A plugin which configures the Eclipse Web Tools Platform.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/plugins/ide/eclipse/GenerateEclipseClasspath.html" title="class in org.gradle.plugins.ide.eclipse">GenerateEclipseClasspath</a></td>
<td class="colLast">
<div class="block">Generates an Eclipse <code>.classpath</code> file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/plugins/ide/eclipse/GenerateEclipseJdt.html" title="class in org.gradle.plugins.ide.eclipse">GenerateEclipseJdt</a></td>
<td class="colLast">
<div class="block">Generates the Eclipse JDT configuration file.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/plugins/ide/eclipse/GenerateEclipseProject.html" title="class in org.gradle.plugins.ide.eclipse">GenerateEclipseProject</a></td>
<td class="colLast">
<div class="block">Generates an Eclipse <code>.project</code> file.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../org/gradle/plugins/ide/eclipse/GenerateEclipseWtpComponent.html" title="class in org.gradle.plugins.ide.eclipse">GenerateEclipseWtpComponent</a></td>
<td class="colLast">
<div class="block">Generates the org.eclipse.wst.common.component settings file for Eclipse WTP.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../org/gradle/plugins/ide/eclipse/GenerateEclipseWtpFacet.html" title="class in org.gradle.plugins.ide.eclipse">GenerateEclipseWtpFacet</a></td>
<td class="colLast">
<div class="block">Generates the org.eclipse.wst.common.project.facet.core settings file for Eclipse WTP.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package_description">
<!--   -->
</a>
<h2 title="Package org.gradle.plugins.ide.eclipse Description">Package org.gradle.plugins.ide.eclipse Description</h2>
<div class="block">A <a href="../../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api"><code>Plugin</code></a> for generating Eclipse files.</div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/plugins/ide/api/package-summary.html">Prev Package</a></li>
<li><a href="../../../../../org/gradle/plugins/ide/eclipse/model/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/plugins/ide/eclipse/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
